mmorph-1.0.4: Monad morphisms

Safe Haskell | Safe
Language | Haskell98

Control.Monad.Trans.Compose

Contents

- ComposeT

Description

Composition of monad transformers. A higher-order version of Data.Functor.Compose.

Synopsis

- newtype ComposeT f g m a = ComposeT {
  - getComposeT :: f (g m) a
  }

# ComposeT

newtype ComposeT f g m a Source

Composition of monad transformers.

Constructors

ComposeT |

Fields

getComposeT :: f (g m) a

Instances

(MFunctor f, MonadTrans f, MonadTrans g) => MonadTrans (ComposeT f g) Source |
Monad (f (g m)) => Monad (ComposeT f g m) Source |
Functor (f (g m)) => Functor (ComposeT f g m) Source |
Applicative (f (g m)) => Applicative (ComposeT f g m) Source |
Foldable (f (g m)) => Foldable (ComposeT f g m) Source |
Traversable (f (g m)) => Traversable (ComposeT f g m) Source |
Alternative (f (g m)) => Alternative (ComposeT f g m) Source |
MonadPlus (f (g m)) => MonadPlus (ComposeT f g m) Source |
MonadIO (f (g m)) => MonadIO (ComposeT f g m) Source |